Subject: Re: Submodules use case: web development based on modular CMS

From: Jakub Narebski <[email-masked]>
Date: Mon, 28 Jan 2008 11:44:48 +0100

On Sun, 27 Jan 2008, Jakub Narebski wrote:

> Somebody (in comments) proposed using Subversion externals; I have 
> proposed using Git submodules (subproject) support. 

BTW. Mercurial supports something similar by so called (unofficial) 
"forest extension":
  http://www.selenic.com/mercurial/wiki/index.cgi/ForestExtension

If I understand it corectly the mechanism follow idea of manifest-like 
file Mercurial uses, and is similar to one of the test implementations 
of submodule support before we had current "in core" version.

I wonder if Bazaar-NG has similar extension / plugin...

It would be nice to have comparison of submodule / subproject support in 
different version control systems...
-- 
Jakub Narebski
Poland